<!-- Search component for searching educations -->
<div class="search-form">
  <form [formGroup]="form" (ngSubmit)="matchEducations()">
    <div class="search-fields-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="30px"
      fxLayoutAlign="start stretch">
      <mat-form-field appearance="outline" fxFlex="30">
        <mat-label>Yrkestitel</mat-label>

        <input type="text" matInput placeholder="Skriv yrkestitel här" id="jobtitleSearchInput"
          [matAutocomplete]="auto0" [formControl]="jobtitleSearchCtrl" required minlength="2">
        <mat-icon matIconSuffix>search</mat-icon>
        <mat-autocomplete autoActiveFirstOption #auto0="matAutocomplete" [displayWith]="displayFnJobtitle">
          <mat-option *ngFor="let option of (filteredJobtitles | async)" [value]="option">
            {{ option.jobtitle }}
          </mat-option>

        </mat-autocomplete>
      </mat-form-field>

      <button type="submit" mat-raised-button class="search-button btn-primary-education" fxFlex="15">Matcha
        utbildningar
      </button>
    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px" fxLayoutAlign="start center" class="label">
      Filter:
    </div>
    <div class="search-fields-row" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px"
      fxLayoutAlign="start center">
      <mat-form-field appearance="outline" color="primary">
        <mat-label>Välj utbildningstyp</mat-label>
        <mat-select [(value)]="selectedEducationType" (selectionChange)="matchEducations()" multiple>
          <mat-option *ngFor="let educationType of educationTypes" [value]="educationType.key">
            {{educationType.value}}
          </mat-option>
        </mat-select>
      </mat-form-field>


      <mat-form-field appearance="outline" color="primary">
        <mat-label>Välj utbildningsform</mat-label>
        <mat-select [(value)]="selectedEducationForm" (selectionChange)="matchEducations()" multiple>
          <mat-option *ngFor="let educationForm of educationForms" [value]="educationForm.key">
            {{educationForm.value}}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field appearance="outline" fxFlex="15">
        <mat-label>Geografisk plats</mat-label>
        <input type="text" matInput placeholder="Skriv kommun eller län här" id="geoSearchInput"
          [matAutocomplete]="auto1" [formControl]="geoCodeFilterCtrl">
        <mat-icon matIconSuffix>search</mat-icon>
        <mat-autocomplete autoActiveFirstOption #auto1="matAutocomplete" [displayWith]="displayFnGeo"
          (optionSelected)="matchEducations()">
          <mat-option *ngFor="let option of (filteredGeos | async)" [value]="option">
            {{ option.value }}
          </mat-option>

        </mat-autocomplete>
      </mat-form-field>

    </div>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="10px" fxLayoutAlign="start center">
      <mat-checkbox class="example-margin" fxFlex="15" [formControl]="distanceSearchCtrl"
        (change)="onChangeCheckBox($event)">Utbildningar på distans</mat-checkbox>
    </div>

  </form>
</div>
